import { APP_ID, END_POINT }from '@/utils/secret';
// 样式引入
import "@/assets/styles/reset.scss";
import "@/assets/styles/common.scss";
// 引入仓库
import pinia from '@/store';
//引入路由
import router from "@/router";
// 引入UI组件库相关
import naive from 'naive-ui';
import 'vfonts/Lato.css'// 通用字体
import 'vfonts/FiraCode.css'// 等宽字体
import 'virtual:svg-icons-register'; //SVG精灵图册
// 登录授权相关
import { createLogto, LogtoConfig } from '@logto/vue';
import { createApp } from 'vue'
import App from './App.vue';
// 全局组件
import SvgIcon from '@/components/SvgIcon.vue';
import LsComponent from './plugins/globalLsComponents'

const app = createApp(App);

app.component('svg-icon',SvgIcon); //图标组件
app.use(LsComponent); //零枢封装组件

// 鉴权
const config: LogtoConfig = {
  endpoint: END_POINT,
  appId: APP_ID,
};
app.use(createLogto, config);

app.use(pinia);
app.use(router);
app.use(naive);
app.mount('#app')
